- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
atanh
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Hyperbolic functions

atanh of input More...

## Functions
AFAPI array | atanh (const array &in)
| C++ Interface for tanh inverse. More...
AFAPI af_err | af_atanh (af_array *out, const af_array in)
| C Interface for atanh. More...

## Detailed Description

atanh of input

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_atanh | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for atanh.

Parameters

  [out] | out | will contain inverse tanh of input
  [in] | in | is input array

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::atanh | ( | const array & | in | ) |

C++ Interface for tanh inverse.

Parameters

  [in] | in | is input array

Returns
  tanh inverse of input